resource "akamai_networklist_network_list" "network_list" {
 name        = "${var.user_id}-tfab-NL"
 type        = "GEO"
 description = "This is a network list for the AkaU AppSec Terraform lab."
 list        = var.geo_block_list
 mode        = "APPEND"
}

output "geo_block_network_list_id" {
  value = akamai_networklist_network_list.network_list.network_list_id
}

resource "akamai_networklist_activations" "activation" {
 network_list_id     = akamai_networklist_network_list.network_list.uniqueid
 network             = var.network
 notes               = "AkaU AppSec Terraform lab"
 sync_point          = 0
 notification_emails = [var.email]
}