variable "contract_id" {
  type        = string
  description = "Contract ID for property/config creation"
}

variable "group_id" {
  type        = string
  description = "Group ID for property/config creation"
}

variable "product_id" {
  type        = string
  description = "Property Manager product"
}

variable "user_id"{
  type = string
  description = "unique ID for each lab user"
}

variable "rule_format" {
  type        = string
  description = "Property rule format"
}

variable "secure" {
  type        = bool
  description = "Switch between enhanced and standard TLS"
}

variable "email" {
  type        = string
  description = "Email address used for activations"
}

variable "cp_code_id" {
  type = number
  description = "CP Code for reporting"
}

variable "edge_hostname" {
  type = string
  description = "Edge hostname for property"
}

variable "network" {
  type = string
  description = "Akamai network for activation"
}

variable "cloudlet_policy_id" {
  type = number
}  

variable "edgeworker_id" {
 type = string 
}